https://pulumi.com logo
#golang
Title
# golang
w

wonderful-twilight-70958

09/18/2021, 9:12 PM
go 1.16.6
if relevant on Ubuntu 20.04
You ever hit / seen this @salmon-account-74572?
s

salmon-account-74572

09/20/2021, 4:20 PM
@wonderful-twilight-70958 I haven’t seen that, but I also haven’t pulled the latest Go SDK recently. Odd that it is referencing what appears to be a .NET component…
w

wonderful-twilight-70958

09/20/2021, 4:20 PM
Ye ikr 😕
I updated go and pulumi to latest, cleared mod cache, still happening 😕
Thanks anyway, might x-post to general
s

salmon-account-74572

09/20/2021, 4:21 PM
I believe you can specify an earlier version of the Go SDK by modifying
go.mod
and specifying the version of the SDK you’d like to use.
Perhaps that would fix it (perhaps the error is specific to 4.18)?
Pinging @powerful-electrician-48045 and @lemon-agent-27707 to see if they know anything
l

lemon-agent-27707

09/20/2021, 4:29 PM
Could you open an issue?
w

wonderful-twilight-70958

09/20/2021, 4:56 PM
Sure 👍
b

broad-dog-22463

09/20/2021, 5:59 PM
Hi @wonderful-twilight-70958 I am looking into this right now
w

wonderful-twilight-70958

09/20/2021, 8:56 PM
Awesome thanks!
b

broad-dog-22463

09/20/2021, 11:17 PM
Hey @wonderful-twilight-70958 so I've just triggered the release of pulumi-aws 4.21.1 - this usually takes around an hour to test due to spinning up EKS clusters but this is underway
I apologise for the issues you had here - please let me know if it continues to be a pain
w

wonderful-twilight-70958

09/22/2021, 3:27 AM
Fixed, perfect thanks!
b

broad-dog-22463

09/22/2021, 12:15 PM
good to hear!
s

salmon-account-74572

09/22/2021, 3:26 PM
Thanks for the rapid response, @broad-dog-22463!
b

broad-dog-22463

09/22/2021, 3:27 PM
There's another patch coming for the provider very shortly!
working on it now
due to an issue with Types
s

salmon-account-74572

09/22/2021, 3:27 PM
Roger that 🙂
5 Views